#ifndef __RECORDSET_WR_H__
#define __RECORDSET_WR_H__


#include "sqlide/recordset_be.h"
#include "GrtTemplates.h"
#include "TreeModel.h"

namespace MySQL {
namespace Grt {
namespace Db {


using namespace System;
using namespace System::Runtime::InteropServices;
using namespace System::Collections::Generic;


public ref class Recordset : public MySQL::Grt::ListModel
{
private:
  ::Recordset *_inner;

public:
  Recordset(::Recordset *inner) : ListModel(inner), _inner(inner) {}

  inline ::Recordset *get_unmanaged_object() { return static_cast<::Recordset *>(_inner); }

  int field_count() { return _inner->field_count(); }
  String ^ field_name(int index) { return CppStringToNative(_inner->field_name(index)); }

  void reset() { _inner->reset(); }
};


};  // namespace Db
};  // namespace Grt
};  // namespace MySQL


#endif // __RECORDSET_WR_H__
